RADOS - Bug #25209

cls/test_cls_numops.sh aborts
08/01/2018 05:28 AM - Kefu Chai

Status: Resolved % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Kefu Chai

Category:

Target version:

Source: Affected Versions:

Tags: ceph-qa-suite:

Backport: Component(RADOS):
Regression: No Pull request ID:

Severity: 3 - minor Crash signature (v1):

Reviewed: Crash signature (v2):
Description

2018-08-01T01:32:33.830 INFO:tasks.workunit.client.0.smithi097.stdout:[ RUN ] ClsNumOps.Add

2018-08-01T01:32:35.751 INFO:tasks.ceph.osd.7.smithi202.stderr:
2018-08-01T01:32:35.751 INFO:tasks.ceph.osd.7.smithi202.stderr:
:tp_osd_tp

2018-08-01T01:32:35.767 INFO:tasks.ceph.osd.7.smithi202.stderr:
(€9d899031e672701d4d9%ae7281cee06d7a5£f0£3) nautilus (dev)
2018-08-01T01:32:35.767 INFO:tasks.ceph.osd.7.smithi202.stderr:
2018-08-01T01:32:35.767 INFO:tasks.ceph.osd.7.smithi202.stderr:
8]

2018-08-01T01:32:35.767 INFO:tasks.ceph.osd.7.smithi202.stderr:
]
2018-08-01T01:32:35.767 INFO:tasks.ceph.osd.7.smithi202.stderr:
2018-08-01T01:32:35.767 INFO:tasks.ceph.osd.7.smithi202.stderr:
0x7fe60651b2b1]

2018-08-01T01:32:35.768 INFO:tasks.ceph.osd.7.smithi202.stderr:
2018-08-01T01:32:35.768 INFO:tasks.ceph.osd.7.smithi202.stderr:
2018-08-01T01:32:35.768 INFO:tasks.ceph.osd.7.smithi202.stderr:
1
2018-08-01T01:32:35.768 INFO:tasks.ceph.osd.
2018-08-01T01:32:35.768 INFO:tasks.ceph.osd.
2018-08-01T01:32:35.768 INFO:tasks.ceph.osd.
2018-08-01T01:32:35.768 INFO:tasks.ceph.osd.

~J

.smithi202.stderr:
.smithi202.stderr:
.smithi202.stderr:

5
5
7
7.smithi202.stderr:

**% Caught signal (Aborted) **
in thread 7fe5f4fdc700 thread_name

ceph version 14.0.0-1729-ge9d8990

1: (()+0x11390) [0x7fe61842f390]
2: (gsignal () +0x38) [0x7fe61774042

3: (abort ()+0x16a) [0x7fe6l774202a

4: (()+0x11l7fee) [0x7fe6065bdfoe]
5: (__gxx_personality_vO0()+0xel) [

6: ceph-osd() [0x15b91le3]
: ceph-osd() [0x15b99ff]
8: (__cxa_ throw()+0x37) [0x1513b67

9: ceph-osd() [0x1095752]

10: ceph-osd() [0x109e40a]

11: (()+0x73554) [0x7fe606519554]
12: (ClassHandler::ClassMethod::ex

ec(void*, ceph::buffer::1ist&, ceph::buffer::1ist&)+0x34) [0x9b7d94]

2018-08-01T01:32:35.768 INFO:tasks.ceph.osd.7.smithi202.stderr:
aryLogPG: :OpContext*, std::vector<OSDOp, std::allocator<OSDOp>
2018-08-01T01:32:35.768 INFO:tasks.ceph.osd.7.smithi202.stderr:
tion (PrimaryLogPG: :OpContext*)+0x9f) [Oxadb6df]
2018-08-01T01:32:35.769 INFO:tasks.ceph.osd.7.smithi202.stderr:
maryLogPG: :OpContext*)+0x37f) [Oxadbeef]
2018-08-01T01:32:35.769 INFO:tasks.ceph.osd.7.smithi202.stderr:
trusive_ptr<OpRequest>&)+0x3667) [0xae0947]
2018-08-01T01:32:35.769 INFO:tasks.ceph.osd.7.smithi202.stderr:

13: (PrimaryLogPG::do_osd_ops (Prim
>&)+0x1166) [Oxaca676]

14: (PrimaryLogPG: :prepare_transac

15: (PrimaryLogPG: :execute_ctx (Pri

16: (PrimaryLogPG::do_op (boost::in

17: (PrimaryLogPG::do_request (boos

t::intrusive_ptr<OpRequest>&, ThreadPool::TPHandle&)+0xcf2) [Oxaedbd2]

/allkchai-2018-08-01_01:16:10-rados-wip-kefu-testing-2018-07-30-2341-distro-basic-smithi/’2845643/teuthology.log
#1 - 08/01/2018 05:44 AM - Kefu Chai

2018-08-01 01:35:45.958 7fb8d5728700 -1 *** Caught signal (Aborted) **
in thread 7fb8d5728700 thread_name:tp_osd_tp

ceph version 14.0.0-1729-ge9d8990 (e9d899031e672701d4d9%99%ae7281cee06d7a5£f0£3) nautilus (dev)

1: (()+0x11390) [0x7fb8fc33£390]

2: (gsignal () +0x38) [0x7fb8fb650428]

3: (abort()+0xléa) [0x7fb8fb65202a]

4: (()+0x15497e) [0x7fb8e5d9197e]

5: (__gxx_personality_v0()+0xel) [0x7fb8ebcee781]

6: ceph-osd() [0x15b9le3]

7: ceph-osd() [0x15b99ff]

8: (__cxa_throw()+0x37) [0x1513b67]

9: (ceph::buffer::list::iterator_impl<true>::copy (unsigned int, std::__cxxll::basic_string<char,
aits<char>, std::allocator<char> >&)+0xdf) [0x109ffaf]
10: (()+0x9c2cb) [0x7fb8e5cd92cb]

11: (()+0x7867e) [0x7fb8ebcb567¢]

std::char_tr

12: (ClassHandler::ClassMethod: :exec (void*, ceph::buffer::1ist&, ceph::buffer::1ist&)+0x34) [0x907d94]

13: (PrimaryLogPG::do_osd_ops (PrimaryLogPG: :0OpContext*, std::vector<OSDOp, std::allocator<OSDOp> >&)+0x1166)

[Oxaca676]

14: (PrimaryLogPG::prepare_transaction (PrimaryLogPG: :0pContext*)+0x9f) [Oxadb6df]
15: (PrimaryLogPG: :execute_ctx (PrimaryLogPG: :OpContext*)+0x37f) [Oxadbeef]

16: (PrimaryLogPG: :do_op (boost::intrusive_ptr<OpRequest>&)+0x3667) [0xae0947]

17: (PrimaryLogPG::do_request (boost::intrusive_ptr<OpRequest>&, ThreadPool::TPHandle&)+0xcf2) [Oxaedbd2]

18: (OSD::dequeue_op (boost::intrusive_ptr<PG>, boost::intrusive_ptr<OpRequest>, ThreadPool::TPHandle&)+0x1b3)

[0x93b9£3]

19: (PGOpItem::run(OSD*, OSDShard*, boost::intrusive_ptr<PG>&, ThreadPool::TPHandle&)+0x62) [0xbbb902]

20: (OSD::ShardedOpWQ: :_process (unsigned int, ceph::heartbeat_handle_d*)+0x53c) [0x964d6c]
21: (ShardedThreadPool::shardedthreadpool_worker (unsigned int)+0x466) [Oxefd4db66]
22: (ShardedThreadPool: :WorkThreadSharded: :entry () +0x10) [0Oxef66e0]
23: (()+0x76ba) [0x7fb8fc3356ba]

24: (clone()+0x6d) [0x7fb8fb72241d]

NOTE: a copy of the executable, or “objdump -rdS <executable>' is needed to interpret this.

/a/kchai-2018-08-01_01:16:10-rados-wip-kefu-testing-2018-07-30-2341-distro-basic-smithi/2845648/remote/*/log/ceph-0sd.1.log.gz
#2 - 08/01/2018 05:46 AM - Kefu Chai
i think we should revert https:/github.com/ceph/ceph/pull/22990

#3 - 08/01/2018 02:07 PM - Kefu Chai

- Status changed from New to Fix Under Review

https://github.com/ceph/ceph/pull/23364

i think https://github.com/ceph/ceph/pull/23432 is a better fix.

#4 - 08/08/2018 03:35 AM - Kefu Chai

- Status changed from Fix Under Review to Resolved
